### Method

# AppStream Component add_agreement

since: 0.12.1

#### Declaration [src]

    void
    as_component_add_agreement (
      AsComponent* cpt,
      AsAgreement* agreement
    )

#### Description [src]

Adds an agreement to the software component.

Available since: 0.12.1

#### Parameters

`agreement`

  Type: `AsAgreement`

  An `AsAgreement` instance.

  The data is owned by the caller of the method.